---
title: HTMLImageElement.vspace
slug: Web/API/HTMLImageElement/vspace
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Obsolete
  - Property
  - Reference
  - Vertical
  - bottom
  - img
  - margin
  - space
  - spacing
  - top
  - vspace
---
<p>{{APIRef("HTML DOM")}}{{obsolete_header}}</p>

<p>The <em>obsolete</em> <code><strong>vspace</strong></code> property of the {{domxref("HTMLImageElement")}} interface specifies the number of pixels of empty space to leave empty on the top and bottom of the {{HTMLElement("img")}} element when laying out the page.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>htmlImageElement</em>.vspace = <em>marginHeight</em>;
<em>marginHeight</em> = <em>htmlImageElement</em>.vspace;
</pre>

<h3 id="Value">Value</h3>

<p>An integer value specifying the height, in pixels, of the vertical margin to apply to the top and bottom sides of the image.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The value specified for <code>vspace</code> is mapped to the {{cssxref("margin-top")}} and {{cssxref("margin-bottom")}} properties to specify the height of those margins in pixels.</p>

<div class="notecard warning">
<p><strong>Important</strong><strong>:</strong> This property is obsolete. You should instead use the CSS {{cssxref("margin")}} property and its longhand forms to establish margins around an <code>&lt;img&gt;</code>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-vspace', 'HTMLImageElement.vspace')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/objects.html#h-13.7.2", "HTMLImageElement.vspace")}}</td>
   <td>{{Spec2("HTML4.01")}}</td>
   <td>The HTML 4.01 specification offers additional details.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.vspace")}}</p>
